classification
Title: super is a built-in type
Type: Stage:
Components: Documentation Versions: Python 3.0, Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: georg.brandl, rhettinger, tarek
Priority: normal Keywords:

Created on 2008-08-29 23:46 by tarek, last changed 2008-10-02 02:38 by rhettinger. This issue is now closed.

Messages (3)
msg72174 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2008-08-29 23:46
super is defined as a built-in function

http://docs.python.org/dev/library/functions.html

but it is a type, shouldn't it be replaced ?
msg72178 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-08-30 00:09
Am already working on the docs for super().
msg74153 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-10-02 02:38
The super() docs have been updated to be more clear.  It is still listed
amongst built-in functions -- that list doesn't separate callables that
are also types, so super() is appropriately listed side-by-side with
tuple().
History
Date User Action Args
2008-10-02 02:38:06rhettingersetstatus: open -> closed
resolution: fixed
messages: + msg74153
2008-08-30 00:09:16rhettingersetassignee: georg.brandl -> rhettinger
messages: + msg72178
nosy: + rhettinger
2008-08-29 23:46:29tarekcreate